#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

int uzlu;
int body_x[20100];
int body_y[20100];

typedef struct stred {
	stred * next;
	int dva_x;
	int dva_y;
} stred;

stred * first;

char table[1000000];


int exists(int x, int y) {
//	if (!table[(20000*(x+10000)+y+10000)%912313]) return 0;
//	for(int i=0; i<uzlu; i++) {
//		if(x == body_x[i] && y == body_y[i]) return 1; 
//	}
	return 0;
//	return 1;
}

void process() {
	// vytvor nastrel stredu
	first = NULL;

	for (int i=0; i<uzlu; i++) {
		stred * act = (stred *) malloc(sizeof(stred));
		act->dva_x = body_x[0] - body_x[i] + 2*body_x[i];
		act->dva_y = body_y[0] - body_y[i] + 2*body_y[i];
		act->next = first;
		first = act;
	}

	for (int i=1; i<uzlu; i++) {
		stred *last = NULL;
		stred * act = first;
		while (act != NULL) {
			int pair_x = act->dva_x - body_x[i];
			int pair_y = act->dva_y - body_y[i];
			if (!exists(pair_x,pair_y)) {
				if (last == NULL) {	
					first = act->next;
					free (act);
					act = first;
				} else {
					last->next = act->next;
					free(act);
					act = last->next;
				}
			} else {
				last = act;
				act = act->next;
			}
		}

	}
	if (first == NULL) {
		printf("This is a dangerous situation!\n");
	} else {
		printf("V.I.P. should stay at (%.1f,%.1f).\n", ((float)first->dva_x)/2,
			((float)first->dva_y)/2);
	}
}

int main(void) {

	for (;;) {
		scanf("%i\n", &uzlu);
		if (!uzlu) break;

//		bzero(table, 1000000);
		for (int i=0;i<uzlu;i++)
		{
			int x,y;
			scanf("%i %i\n", &x, &y);
			table[(20000*(x+10000)+y+10000)%912313] = 1;
			body_x[i] = x; body_y[i] = y;
			
		}
		process();
	}
	return 0;
}
