#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>

int uzlu;
int body_x[20100];
int body_y[20100];

typedef struct stred {
	int next;
	int dva_x;
	int dva_y;
} stred;

int first;
struct stred stredy[20100];

char table[1000000];


int exists(int x, int y) {
	if (!table[(20000*(x+10000)+y+10000)%912313]) return 0;
//	for(int i=0; i<uzlu; i++) {
//		if(x == body_x[i] && y == body_y[i]) return 1; 
//	}
//	return 0;
	return 1;
}

void process() {
	// vytvor nastrel stredu
	first = 0;

	for (int i=0; i<uzlu; i++) {
		stredy[i].dva_x = body_x[0] - body_x[i] + 2*body_x[i];
		stredy[i].dva_y = body_y[0] - body_y[i] + 2*body_y[i];
		stredy[i].next = i+1;
	}

	for (int i=1; i<uzlu; i++) {
		int last = -1;
		int act = first;
		while (act < uzlu) {
			int pair_x = stredy[act].dva_x - body_x[i];
			int pair_y = stredy[act].dva_y - body_y[i];
			if (!exists(pair_x,pair_y)) {
				if (last == -1) {	
					first = stredy[act].next;
					act = first;
				} else {
					stredy[last].next = stredy[act].next;
					act = stredy[last].next;
				}
			} else {
				last = act;
				act = stredy[act].next;
			}
		}

	}
	if (first >= uzlu) {
		printf("This is a dangerous situation!\n");
	} else {
		printf("V.I.P. should stay at (%.1f,%.1f).\n",
			((float)stredy[first].dva_x)/2,
			((float)stredy[first].dva_y)/2);
	}
}

int main(void) {

	for (;;) {
		scanf("%i", &uzlu);
		if (!uzlu) break;

		for (int i=0;i<uzlu;i++)
		{
			int x,y;
			scanf("%i %i", &x, &y);
			table[(20000*(x+10000)+y+10000)%912313] = 1;
			body_x[i] = x; body_y[i] = y;
			
		}
		process();
	}
	return 0;
}
